var $atendimento;
var $cadastro;
var $captura;
var $idCap;

var $id_leed;
var $tb_origem = $('#tb_origem').val();
var $UUID      = $('#UUID').val();


var hash = window.location.hash;
/*if(hash)
{
    $('#myTab a[href="' + hash + '"]').tab('show');
}*/
$(window).on('load', function(e){
    if(hash)
    {
        e.stopPropagation();
        
        animateHash();
    }
});

$('body').on('click','.load_tab', function(e){
    
    
    e.stopPropagation();
    
    hash = '#'+$(this).attr('href').split('#')[1];
    
    animateHash();
    
});

function animateHash(){
    $('#myTab a[href="' + hash + '"]').tab('show');
        
    $('html, body').animate(
    {
        scrollTop: $(hash).offset().top - 150
    },1000);
}


$('a.nav-link').on('click', function (e) {
    location.hash = $(this).attr('href');
})


$('body').on('click','.enviarProposta', function(){
    $data = {
      id: $(this).data('id')
    };
   
    get_ajax($data,'atendimento/ajax/atendimento_ajax/email_propostas',
        success =>{
            $('#successModal').modal('hide');
                if(success.valid == true)
                    alert(success.msg);
    });
});


//=====NOVO ATENDIMENTO=========

$('body').on('click','.load_click', function(){
    loadButton($(this));
    $('body > div.app-body > main > div > div.animated.fadeIn').html('');
    $('.divTabelasLoad').show();
});

$('body').on('click','.set_leed', function(){
    $id_captura = $(this).data('id');
    $rowSelecinada = $(this).parents('tr');
});

$('body').on('click','.addAtendimentoComdono', function(){
    
    $data = {
        id_rel:      $(this).data('id'),
        tb_origem:   $tb_origem
    };
    
    get_ajax($data, 'atendimento/ajax/atendimento_ajax/ini_atendimento', 
        success =>{
            document.location.href = base_url+'atendimento/comdono/atendimento_geral/'+$UUID+'/'+success.id_atendimento;
    });
    
});

$('#formAtendimentoRapido').submit(function(e) {
    e.preventDefault();
    
    loadButton($('.btnAddAtendimento'));
     
    
    $data = get_form(this);
    $data.push({"name": 'id_leed', "value": $id_captura});
    $data.push({"name": 'origem',  "value": $tb_origem});
    $data.push({"name": 'UUID',    "value": $UUID});
    
    get_ajax($data, 'atendimento/ajax/atendimento_ajax/atendimentoRapido', 
        success =>{
            if(success.valid != false){
                location.reload();
                
            }
            else
                $('.erroFormAtenderAnuncio').html(retorno.msg);
    });
        
});

var novo_contato = 'sim';
var dias = 1;

$('body').on('change','input[name=novo_contato]', function(){
    novo_contato = $("input[name='novo_contato']:checked").val();
    
    verificaInputsAtendimento()
});

$('body').on('change','input[name=dias]', function(){
    dias = $("input[name='dias']:checked").val();
    
    verificaInputsAtendimento()
});

function verificaInputsAtendimento()
{
    if(dias == 'personalizado')
    {
        $('.divQuando').show();
    }else
    {
         $('.divQuando').hide();
    }
    
    if(novo_contato == 'sim')
    {
        $('.divProximoContato').show();
    }else
    {
         $('.divProximoContato').hide();
    }
}

var agendar_visita = 'sim';

$('body').on('change','input[name=agendar_visita]', function(){
    agendar_visita = $("input[name='agendar_visita']:checked").val();
    
    if(agendar_visita == 'sim')
    {
        $('.divAgendarVisita').show();
    }else
    {
        $('.divAgendarVisita').hide();
    }
});

//=fim==NOVO ATENDIMENTO=========

$('.formHistoricoAtendimento').submit(function(event){	
    event.preventDefault();
    
    loadButton($('.salvar_atendimento'));
    
    $data = get_form(this);
    
    $.ajax({
    		url: base_url+"atendimento/ajax/atendimento_ajax/add_atendimento",
    		dataType: 'json',
    		type: 'POST',
    		data: data,
    		success: function(retorno)
    		{	
    		    if(retorno.valid == true)
    		    {
    		        history.go(-1);
    		    }
    		    else
    		    {
    		        loadButton(null,false);
    			    alert(retorno.msg);
    			    console.log(retorno);
    		    }
    		    
    		},
    		error: function(error)
    		{
    		    loadButton(null,false);
    		    alert('erro');
    			console.log(error);
    		}
    	});
    
});


$('body').on('click','.voltar_pagina', function(){
    history.go(-1);
});

$('body').on('click','.addAtendimento', function(){
    
    console.log($(this).data('atendimento'));
    
    $.ajax({
		url: base_url+"XXXadministrativo/ajax/atendimento_ajax/ini_atendimento",
		dataType: 'json',
		type: 'POST',
		data: $(this).data('atendimento'),
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        document.location.href = base_url+'XXXadministrativo/atendimento/atendimentos/'+retorno.id_atendimento+'/add';
		    }
		    else
		    {
		        
		    }
		},
		error: function(error)
		{
			console.log(error);
		}
	});	
    
    
    
});






/*$('body').on('click','.btnNegarAtendimento', function(){
    
    $data = {
        id: $idCap,
        motivo: $('#motivo').val(),
        
    }
    
    get_ajax($data,'XXXadministrativo/ajax/atendimento_ajax/finaliza_atendimento', 
        r =>{
            alert(r.msg);
            location.reload();
        }, 
        erro =>{
            alert(erro.msg);
        })
    
    
});*/
/*
$('body').on('click','.set_leed', function(){
    
    $idCap = $(this).data('id');
    
});
$('body').on('click','.trData', function(){
    
    $atendimento = $(this).data('atendimento').atendimento;
    $cadastro    = $(this).data('atendimento').cadastro;
    $captura     = $(this).data('atendimento').captura;
    
    $trCad = '';
    for($key in $cadastro )
    { 
        if(!($cadastro[$key] == '' || $cadastro[$key] == 0))
            $trCad += '<tr><td>'+$key+'</td><td>'+$cadastro[$key]+'</td><td>';
    }
    
    $trCap = '';
    for($i in $captura )
    {
        $trCap += '<table class="table table-responsive"><tbody class="tbodyCaptura">'
        $trCap += '<tr><th><tr><th>'+$captura[$i]['origem_captura']+'</th><th>'+$captura[$i]['datetime_captura']+'</th><th>';
        
        for($key in $captura[$i] )
        { 
            $cap = $captura[$i];
            if(!($cap[$key] == '' || $cap[$key] == 0))
                $trCap += '<tr><th>'+$key+'</th><td>'+$cap[$key]+'</td><td>';
        }
        
        $trCap +='</tbody></table>'
    }
    $trAtend = '';
    for($i in $atendimento )
    {
        $atend = $atendimento[$i];
        $trAtend += '<tr><th>'+$atend['id_user']+'</th><td>'+$atend['data_hora']+'</td><td>';
    }
    //datetime_captura
    $('.tbodyCaptura').html($trCap);
    $('.tbodyCadastro').html($trCad);
    $('.tbodyAtendimento').html($trAtend);
});
$('body').on('click','.addAtendimentoElleven', function(){
    
    console.log($(this).data('atendimento'));
    
    $.ajax({
		url: base_url+"XXXadministrativo/ajax/atendimento_ajax/ini_atendimento",
		dataType: 'json',
		type: 'POST',
		data: $(this).data('atendimento'),
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        document.location.href = base_url+'XXXadministrativo/atendimento/atendimentos_elleven/'+retorno.id_atendimento;
		    }
		    else
		    {
		        
		    }
		},
		error: function(error)
		{
			console.log(error);
		}
	});	
    
});
$('body').on('click','.addAtendimentoGeral', function(){
    
    
    
    console.log($(this).data('atendimento'));
    var interesse = $(this).data('interesse');
    
    if(interesse == "" ||  interesse == undefined){
        interesse = 'outros';
    }
    
    $.ajax({
		url: base_url+"atendimento/ajax/atendimento_ajax/ini_atendimento",
		dataType: 'json',
		type: 'POST',
		data: $(this).data('atendimento'),
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        document.location.href = base_url+'atendimento/interessado/'+interesse+'/'+retorno.id_atendimento;
		    }
		    else
		    {
		        
		    }
		},
		error: function(error)
		{
			console.log(error);
		}
	});	
    
});
*/






function msgSuccess($div, $success){
    setAlert($div, $success.msg, 'success');
}
function msgErro($div, $erro){
    if($erro.msg != undefined)
        setAlert($div, $erro.msg, 'danger');
    else{
        //$msg = "<b>"+$($($erro.responseText)[7]).find('h1').text()+"</b>, "+$($($erro.responseText)[7]).find('p').text()
            console.log($erro.responseText);
                msg = $($($erro.responseText)[7]).find('h1').text();
            if(msg == '')
                msg = $($erro.responseText)[8].find('h1').text();
             if(msg == '')
                msg =   $($erro.responseText).find('h4').text()+'\n'+$($($erro.responseText).find('p')[1]).text();
            if(msg == '')
                msg =   "ERRO!";
                    
        setAlert($div, msg, 'danger');
    }
}
function setAlert($div, $msg, $cor){
    $html = '<div class="alert alert-'+$cor+' alert-dismissible fade show" role="alert">' +
         $msg +
    '    <button class="close" type="button" data-dismiss="alert" aria-label="Close">' +
    '        <span aria-hidden="true">×</span>' +
    '    </button>' +
    '</div>';
    $($div).html($html); 
}
// VARIAVES PARA O LOAD BUTTON
var textLoad = "<i class='fa fa-circle-o-notch fa-spin'></i>";
var textButton = '';
var btn = null;
function loadButton(button = null, disabled = true)
{
    if(button != null)
        btn = button;
        
    if(disabled == true)
    {
        textButton = btn.html();
        btn.prop('disabled', true);
        btn.html(textLoad);//+' '+textButton
    }
    else
    {
	    if(btn != null){
            	btn.prop('disabled', false);
	    	btn.html(textButton);
	    	btn = null;
	    }
    }
}
function get_form($form)
{
    data = [];
    var nameRadio = [];
    
    //$($form).find('input:not([type=radio]):input:not([type=checkbox]):input:not([type=file])').each(function(key,value){
    $($form).find('input:not([type=radio]):input:not([type=checkbox]):input:not([type=file])').each(function(key,value){
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    
    $($form).find('input[type=file]').each(function(key,value){
        if(this.name != ""){
            data.push({"name": this.name, "value": $(this).data('value')});
        }
    });
    
    $($form).find('textarea').each(function(key,value){
       
        if(this.name != "")
        {
            if(typeof CKEDITOR != undefined){
                 //data.push({"name": this.name, "value": CKEDITOR.instances[this.name].getData()});
                 ckeditorValue = $($($($('#cke_'+this.id)[0])[0]).find('iframe').contents().find("body")).html();
                 
                if(ckeditorValue == undefined || ckeditorValue == 'undefined')
                    data.push({"name": this.name, "value": this.value});
                else
                    data.push({"name": this.name, "value": ckeditorValue});
            }
            else
            {
                data.push({"name": this.name, "value": this.value});
            }
        }
    });
    
    $($form).find('input[type=radio]').each(function(key,value){
        if(nameRadio[this.name] == undefined)
            nameRadio[this.name] = '';
        if($(this).is(':checked'))
            nameRadio[this.name] = this.value;
    });
    
    for(var name in nameRadio){
        data.push({"name": name, "value": nameRadio[name]});
    };
    
    $($form).find('select option:selected').each(function(key,value)    {
        if(this.parentElement.localName == 'select')
            data.push({"name": this.parentElement.name, "value": this.value});
            
        if(this.parentElement.parentElement.localName == 'select')
            data.push({"name": this.parentElement.parentElement.name, "value": this.value});
    });
    
    $($form).find('input[type=checkbox]:checked').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    
    $($form).find('input[type=checkbox]:not(:checked)').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": ""});
    });
    
    //data.push({"name": 'UUID', "value": $UUID});
    
    return data;
}
/*
function get_ajax
$func = nome da funcao no php
$success = funcao Callbeck, exemplo = "retorno =>{alert('deu bom');}"
$error = funcao Callbeck
$data = objeto passado no post ajax
*/
function get_ajax($data = [], $uri, $success = null, $error = null ){
    
    if($error == null)
    {
        $error = function($erro){
            if($erro.msg != undefined)
                alert($erro.msg);
            else{
                console.log($erro.responseText);
                    msg = $($($erro.responseText)[7]).find('h1').text();
                if(msg == '')
                    msg = $($($erro.responseText)[8]).find('h1').text();
                if(msg == '')
                    msg =   $($erro.responseText).find('h4').text()+'\n'+$($($erro.responseText).find('p')[1]).text();
                if(msg == '')
                    msg =   "ERRO!";
                alert(msg);
            }
        };
    }
    
    if($success == null)
    {
        $success = function(e){
            //e);
        };
    }
    
    $.ajax({
		url: base_url+$uri, 
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{
		    loadButton(null,false);
		    if(retorno.valid == false)
		    {   
		        $error(retorno);
		    }
		    else
		    {
		        $success(retorno)
		    }
		},
		error: function(error)
		{
		    loadButton(null,false);
		    $error(error);
		}
    });
    
 }

//====================================================================================
//Callbeck erro ajax
$error = function error(r){console.log(r)};


/*
function get_ajax
$func = nome da funcao no php
$success = funcao Callbeck, exemplo = "retorno =>{alert('deu bom');}"
$error = funcao Callbeck
$data = objeto passado no post ajax
*/
function BKget_ajax($func, $success, $error, $data = []){
    
    $.ajax({
		url: base_url+"xxxxxxx/ajax/atendimento_ajax/"+$func, 
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {   
		        $success(retorno);
		    }
		    else
		    {
		        $error(retorno);
		    }
		},
		error: function(error)
		{
		    $error(error);
		}
    });
    
 }
 
//Coloca um select2 no campo bairro e no tipo de empreendimento do cliente do anunciar interesse
$(document).ready(function() {
    $('.bairro_anunciar_interesse').select2({
        width: '100%',
        language: "pt-BR",
    });
    $('.tipo_emp_anunciar_interesse').select2({
        width: '100%',
        language: "pt-BR",
    });
});

//Funcao para salvar os interesses
$('.salvarInter').on('click',function(){
    loadButton($(this));
    $data = getForm($('.form-anunciar-interesse'));
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/setEditInteresse',
    success => {
        
        if(success.success == true){        
            $('.result_envio_anunciar_interesse').html('');
            $('.result_envio_anunciar_interesse').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            getSugestoesImoveis();
        }else{
           
            $('.result_envio_anunciar_interesse').html('');
            $('.result_envio_anunciar_interesse').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');        }  
        
    });
    
});

//Funcao para pegar as sugestões de imóveis
$('.getSugestoesImoveis').on('click',function(){
    loadButton($(this));
    getSugestoesImoveis();
});

function getSugestoesImoveis()
{
    $data = getForm($('.form-anunciar-interesse'));
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/getSugestoesImoveis',
    success => {
        if(success.success == true){
            $('#card-interesse-sujestao').html('');
            $('#card-interesse-sujestao').append('<div class="card-scroll pr-2" style="max-height: 300px !important;" > '+success.html+' </div>');
            $('.cont_imoveis_sugestoes').html('');
            $('.cont_imoveis_sugestoes').append(success.cont);
        }else{
            $('#card-interesse-sujestao').html('');
            $('#card-interesse-sujestao').append('<div class="card-scroll pr-2" style="max-height: 300px !important;" > '+success.msg+' </div>');
            $('.cont_imoveis_sugestoes').html('');
            $('.cont_imoveis_sugestoes').append(0);
        }  
    });
}

/*//Funcao para pegar os interesses
$('.salvarInter').on('click',function(){
    loadButton($(this));
    $data = getForm($('.form-anunciar-interesse'));
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/salvaInteresse',
    success => {
        
        if(success.success == true){        
            $(".form-anunciar-interesse").prop("disabled",true);
            $('#card-interesse-sujestao').html('');
            //$(this).prop("disabled",true);
            console.log(success);
            $('#card-interesse-sujestao').append('<div class="card-scroll pr-2" style="max-height: 300px !important;" > '+success.html+' </div>');
            $('.result_envio_anunciar_interesse').html('');
            $('.result_envio_anunciar_interesse').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            $('.cont_imoveis_sugestoes').html('');
            $('.cont_imoveis_sugestoes').append(success.cont);
        }else{
            $('#card-interesse-sujestao').html('');
            console.log(success);
            $('#card-interesse-sujestao').append('<div class="card-scroll pr-2" style="max-height: 300px !important;" > '+success.html+' </div>');
            $('.cont_imoveis_sugestoes').html('');
            $('.cont_imoveis_sugestoes').append(success.cont);
            $('.result_envio_anunciar_interesse').html('');
            $('.result_envio_anunciar_interesse').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            
        }  
        
    });
    
});*/

/*
//Funcao para enviar os interesses pra whatsapp painel v1
$('.btn-enviar-whats-anunciar-interesse-v1').on('click',function(){
    loadButton($(this));
    console.log('clicou');
    $data = getForm($('.form-sugestoes-anunciar-interesse'));
    $telefone = {'name': 'telefone', 'value':$(this).data('telefone')};
    $data.push($telefone);
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/enviaSugestoes',
    success => {
        
        if(success.success == true){        
            $(".form-sugestoes-anunciar-interesse").prop("disabled",true);
            
            console.log(success);
           
            $('.result_envia_whats_interesse').html('');
            $('.result_envia_whats_interesse').append('<div class="alert alert-primary" role="alert"> '+success.msg+'</div>');
           
        }else{
            
            console.log(success);
            $('.result_envia_whats_interesse').html('');
            $('.result_envia_whats_interesse').append('<div class="alert alert-danger" role="alert"> '+success.msg+'</div>');
        }  
        
    });
    
});
*/

//Funcao para enviar os interesses por email painel v2
$('.btn-enviar-email-anunciar-interesse-v1').on('click',function(){
    loadButton($(this));
    $data = getForm($('.form-sugestoes-anunciar-interesse'));
    $email = {'name': 'email', 'value':$(this).data('email')};
    $data.push($email);
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/enviaEmailSugestoes',
    success => {
        
        if(success.success == true){        
            $(".form-sugestoes-anunciar-interesse").prop("disabled",true);
            
            console.log(success);
           
            $('.result_envia_whats_interesse').html('');
            $('.result_envia_whats_interesse').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
           
        }else{
            
            console.log(success);
            $('.result_envia_whats_interesse').html('');
            $('.result_envia_whats_interesse').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }  
        
    });
});

$('.checkbox_sugestoes_imoveis_todos').on('change', function(){
    if($('.checkbox_sugestoes_imoveis_todos').prop("checked") == true){
        $('.checkbox_sugestoes_imoveis').prop("checked", true);
    }
    else{
        $('.checkbox_sugestoes_imoveis').prop("checked", false);
    }
});

$(".faixa_preco_anunciar_interesse").inputmask("currency", {
  autoUnmask: true,
  radixPoint: ",",
  groupSeparator: ".",
  allowMinus: false,
  prefix: "R$ ",
  digits: 2,
  digitsOptional: false,
  rightAlign: false,
  unmaskAsNumber: true
});

//Abrir a modal de editar interesse PAINEL CS INTER V1
$('#historico_interesse_table').on('click', '.btn_editar_interesse_v1' , function(e){
e.preventDefault();
   $data = $(this).data('interesse');
   console.log($data);
   $('.edit_interesse_id_interesse').val($data.id_interesse);
   $('.edit_interesse_id_captura').val($data.id_captura);
   $('.edit_interesse_tipo_interesse').val($data.tipo_interesse);
   $('.edit_interesse_tipo_imovel').val($data.tipo_imovel);
   $('.edit_interesse_quartos').val($data.quartos);
   $('.edit_interesse_banheiro').val($data.banheiro);
   $('.edit_interesse_vagas').val($data.vagas);
   $('.edit_interesse_faixa_preco_inicio').val($data.faixa_preco_inicio);
   $('.edit_interesse_faixa_preco_fim').val($data.faixa_preco_fim);
   $('.edit_interesse_descricao').val($data.descricao);
   var bairro = [];
   $data.bairros.forEach(myFunction);
   function myFunction(item, index) {
       bairro.push(item.bairro);
   }
   //console.log(bairro);
   $('.edit_interesse_bairro').val(bairro).trigger('change');
   
   var tipo_emp = [];
   $data.tipo_emp.forEach(myFunction2);
   function myFunction2(item, index) {
       tipo_emp.push(item.tipo_emp);
   }
   //console.log(bairro);
   $('.tipo_emp_editar_interesse').val(tipo_emp).trigger('change');
   
   
   
   $('#editInteresseModal').modal('show');
   
   
});

//Da update do Interesse
$('.editInteresse').on('click',function(){
    loadButton($(this));
    $data = getForm($('.form-edit-interesse'));
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/editarInteresse',
    success => {
        
        if(success.success == true){        
            $(".editInteresse").prop("disabled",true);
            
            $('.result_edit_interesse').html('');
            $('.result_edit_interesse').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            
            setTimeout(function() {
                    location.reload();
                }, 1000);
            
        }else{
            
            $('.result_edit_interesse').html('');
            $('.result_edit_interesse').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }  
        
    });
    
});


//Excluir o interesse da lista de interesses PAINEL CS INTERNO V1
$('#historico_interesse_table').on('click', '.btn_excluir_interesse_v1' , function(e){
e.preventDefault();

if(confirm("Você realmente quer excluir esse Interesse?")){
    $data = {'id_interesse':$(this).data('interesse')};
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/excluirInteresse',
    success => {
        
        if(success.success == true){        
            
            location.reload();
            
        }
    });
}
});

//Coloca um select2 no campo bairro e no tipo de empreendimento do cliente do editar interesse
$(document).ready(function() {
    $('.bairro_editar_interesse').select2({
        width: '100%',
        language: "pt-BR",
    });
    $('.tipo_emp_editar_interesse').select2({
        width: '100%',
        language: "pt-BR",
    });
});